Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 618124 - sys-process/tiptop: missing -ltinfo
Summary: sys-process/tiptop: missing -ltinfo
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2017-05-10 16:32 UTC by Jan Ziak (http://atom-symbol.net)
Modified: 2019-03-23 23:04 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (sys-process:tiptop-2.2:20170510-160916.log,10.08 KB, text/x-log)
2017-05-10 16:32 UTC, Jan Ziak (http://atom-symbol.net)
Details
patch for tiptop-2.3.1 (tiptop-tinfo.patch,1.15 KB, patch)
2019-02-07 15:53 UTC, Jan Ziak (http://atom-symbol.net)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Ziak (http://atom-symbol.net) 2017-05-10 16:32:01 UTC
Created attachment 472274 [details]
build.log

x86_64-pc-linux-gnu-gcc -o tiptop tiptop.o pmc.o process.o requisite.o conf.o screen.o debug.o version.o helpwin.o options.o hash.o spawn.o xml-parser.o target.o utils-expression.o error.o lex.yy.o y.tab.o  -lxml2 -lcurses
/usr/lib/gcc/x86_64-pc-linux-gnu/7.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: tiptop.o: undefined reference to symbol 'LINES'
/lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
Comment 1 Jan Ziak (http://atom-symbol.net) 2019-02-07 15:53:33 UTC
Created attachment 564044 [details, diff]
patch for tiptop-2.3.1
Comment 2 Larry the Git Cow gentoo-dev 2019-03-23 23:04:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d430b51102b30ae55acf289fabca0cfcabaceed

commit 0d430b51102b30ae55acf289fabca0cfcabaceed
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2019-03-23 23:03:08 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-03-23 23:04:21 +0000

    sys-process/tiptop: Fixed build with sys-libs/ncurses[tinfo]
    
    Closes: https://bugs.gentoo.org/618124
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 sys-process/tiptop/files/tiptop-2.3.1-tinfo.patch | 12 ++++++++++++
 sys-process/tiptop/tiptop-2.3.1.ebuild            | 21 +++++++++++++++++----
 2 files changed, 29 insertions(+), 4 deletions(-)